
Almirah.Code - Bug #108

Recursive up-links

06/08/2024 01:41 PM - Oleksandr Ivanov

Status: Closed Start date: 06/08/2024

Priority: Normal Due date: 06/09/2024

Assignee: Oleksandr Ivanov % Done: 100%

Category:  Estimated time: 1:00 hour

Target version: 0.2.1 Spent time: 1:00 hour

Description

The current version (Almirah gem version 0.2.0) allows to add the following paragraph:

[SRS-001] This is a controlled paragraph with recursive link >[SRS-001]

In this case the actual link does not work, however it introduce the mess into the document traceability.

It was decided to ignore the up-links to the self document with no message.

History

#1 - 06/09/2024 01:10 PM - Oleksandr Ivanov

Implemented in (8e117eb)

Reviewed in https://github.com/OleksandrIvanovDev/Almirah.Code/pull/36

#2 - 06/09/2024 01:11 PM - Oleksandr Ivanov

- Status changed from New to Closed

- % Done changed from 0 to 100
